Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Plant(s) Road Permit Permit# 2020-02216, UID# 2771
App. Status: Expired

Valid: 03/25/2020 - 03/28/2020
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2485 (03/25/2020)

Charge Cost Quantity Total
Non-Taxable
added 03/25/2020 9:03 AM

Fee for over length permit

$30.00 x 1 $30.00
added 03/25/2020 9:03 AM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 03/25/2020 9:03 AM

Fee for over width permit

$30.00 x 1 $30.00
Grand Total
Total $90.00
Payment 04/05/2020$90.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
Applicanttom r. volk - 03/25/2020 8:47 AM
596a0ad84c0d8d88bb844f3a46db2a57
a78bfa627572a575fea49629445bc67b
 
#1 Permit Issuing OfficialElroy Opp - 03/25/2020 9:03 AM
6196bd5401aab6790e9e0514ce66deda
1f7b2e8edf0b2b29053a60777e2ffbc6
 
Permit has been approved. All signatures have been obtained.